package com.cultural.heritage.model.vo.appointment;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class AppointmentDateTimePeriodVO implements Serializable {

    /**
     * 预约日期id
     */
    private Long id;

    /**
     * 预约具体日期
     */
    private String specificDate;

    /**
     * 是否可预约
     */
    private Integer isAvailable;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 预约时间段id
     */
    private Long timePeriodId;

    /**
     * 预约时间段
     */
    private String timeSlot;

    /**
     * 最小预约人数
     */
    private Integer minNumber;

    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    @Serial
    private static final long serialVersionUID = 1L;
}
