package com.cultural.heritage.model.vo.exchange;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.cultural.heritage.model.vo.coupon.CouponVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
public class ExchangeVO implements Serializable {


    /**
     * 兑换记录id
     */
    private Long id;


    /**
     * 优惠券信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private CouponVO couponVO;


    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;



    @Serial
    private static final long serialVersionUID = 1L;
}
