package com.cultural.heritage.test;

class Animal {
    String name;
    int age;

    public Animal(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}

class Bird extends Animal {
    public Bird(String name, int age) {
        super(name, age);
    }

    public void fly() {
        System.out.println(name + " 能飞行");
    }

    public void showBirdInfo() {
        System.out.println("鸟的名称: " + name);
    }

    public static void main(String[] args) {
        Bird bird = new Bird("麻雀", 2);
        bird.showBirdInfo();
        bird.fly();
    }
}
